Successfully running Rainbow Six on W2K is down to the installation procedure – you must install Rainbow Six using Windows 95 Compatibility as follows.

Create a link to setup.exe and look at the properties of this link. Select the tab marked ‘Compatibility’, and on this will be an option to select a compatibility layer to use. Select the ’95’ option, apply and then run setup.exe and install as usual.

Note : If you do not see a Compatibility tab make sure you have Administrator rights, or follow this procedure:

  • Click Start, Run
  • Type regsvr32 %systemroot%\apppatch\slayerui.dll
  • Click Run.
  • The Compatibility tab should now be on, so you can do the fix.

Now to run Rainbow Six change the properties of the file that runs Rainbow Six so it also runs in Windows 95 compatibility mode, and that’s it!

Finally, patch Rainbow Six to version 1.04.